Bug 60971 - gnome-terminal fails to erase parts of screen
gnome-terminal fails to erase parts of screen
Product: Red Hat Linux
Classification: Retired
Component: gnome-libs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2002-03-10 21:35 EST by Rick Richardson
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-10 16:11:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
typescript capture of ncurses application (7.31 KB, application/octet-stream)
2002-03-10 21:36 EST, Rick Richardson
no flags Details
slowcat.c program for replaying ncurses output slowly (1.02 KB, text/plain)
2002-03-10 21:37 EST, Rick Richardson
no flags Details
Typescript output with final screen clear sequences removed (5.84 KB, application/octet-stream)
2002-03-10 23:48 EST, Rick Richardson
no flags Details

  None (edit)
Description Rick Richardson 2002-03-10 21:35:06 EST
Description of Problem:
Gnome-terminal fails to erase parts of screen.

Version-Release number of selected component (if applicable): and

How Reproducible:

The attached "typescript" output is from an ncurses application running in a
gnome-terminal with TERM=xterm.
The terminal dimensions are 24x80.

You can replay the output using the "slowcat" program (also attached).  When you
replay the output, you will
see that the 2nd time the chart is painted, two colors bars at the top of the
screen are not properly erased.

However, if you replay this same output on a 24x80 "rxvt" or a "konsole", the
output is correct.  So the
problem is within gnome-terminal.

I am going to try to narrow down the problem to a specific escape sequence, but
I though it is important
enough to get the bug entered, since Gnome 2.0 is in beta and this problem may
or may not be fixed in
2.0.  I can't tell since its pretty well impossible to compile gnome-terminal by
itself, and I have not desire
to jump feet first into 2.0.
Comment 1 Rick Richardson 2002-03-10 21:36:25 EST
Created attachment 48084 [details]
typescript capture of ncurses application
Comment 2 Rick Richardson 2002-03-10 21:37:58 EST
Created attachment 48085 [details]
slowcat.c program for replaying ncurses output slowly
Comment 3 Havoc Pennington 2002-03-10 22:00:43 EST
Thanks for the nice test case. I can assure you this is probably _not_ fixed for
2.0; zvt needs a lot of fixing.

See http://mail.gnome.org/archives/desktop-devel-list/2002-March/msg00171.html

If you can analyze the problem further it would be very helpful. I can certainly
help you figure out how to compile gnome 2 if you are interested in working on
terminals. ;-)
Comment 4 Rick Richardson 2002-03-10 23:47:50 EST
I did some additional testing, and have determined that the problem is not with
sequence interpretation within gnome-terminal.  The problem is with drawing
gnome-terminal.  I have attached a second typescript file to demonstrate the

You don't need to use slowcat with this file.  Just cat it to a 24x80 gnome
On line 4 of the display, you should see a colored bar that shouldn't be there.
you don't, cat it again until you do.

Now, take another window on your screen and drag it over the top of the test
obscuring the colored bar.   Then drag the window away.  Notice that the colored
bar has been erased by the window redrawing.  So its not an escape sequence
interpretation problem.
Comment 5 Rick Richardson 2002-03-10 23:48:49 EST
Created attachment 48089 [details]
Typescript output with final screen clear sequences removed
Comment 6 Havoc Pennington 2002-07-02 19:13:21 EDT
We've killed off the zvt terminal widget and replaced it with the new VTE widget. 
Should not have this particular bug (may have others!)
Comment 7 Rick Richardson 2002-10-10 16:11:26 EDT
I hate to say it, but the new gnome-terminal in RH 8.0 has new and different
problems erasing and repainting the screen.

I will try to come up with a nice example of this over the next few days and
attach it to this bug.

Comment 8 Havoc Pennington 2002-10-10 16:17:33 EDT
For new bugs, should open a new report (against "vte" for redraw bugs in the 
terminal area). We don't want to use the same bug for all redraw bugs ever.

Note You need to log in before you can comment on or make changes to this bug.